package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

/**
 * @Author Joburgess
 * @Date 2021/6/10 0010
 **/
public enum ActivityCourseType implements BaseEnum<String, ComplaintsStatusEnum> {
    FREE_VIP("free_vip", "考级活动赠送课"),
    VIP1("vip1", "考级活动1v1VIP课"),
    VIP2("vip2", "考级活动1v2VIP课"),
    MUSIC_THEORY("music_theory", "考级活动乐理课");

    private String code;

    private String msg;

    ActivityCourseType(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
